$packageName = 'HoneyBee.DevOps.SelfDeployment.1.0.0.0' 

try {
  $toolsPath = (Split-Path -parent $MyInvocation.MyCommand.Definition)

  $destination = "C:\HoneyBee"
  
  if(-not(Test-Path($destination))) {
      mkdir $destination | out-null
  }

  Copy-Item -Path "$toolsPath\SelfDeploy.ps1" -Destination $destination
  Copy-Item -Path "$toolsPath\SelfDeploy.bat" -Destination $destination

  Register-ScheduledTask -Xml (get-content "$toolsPath\SelfDeploy.xml" | out-string) -TaskName "HoneyBee.DevOps SelfDeployment"
	
  Write-ChocolateySuccess "$packageName"

} catch {
  Write-ChocolateyFailure "$packageName" "$($_.Exception.Message)"
  throw 
}

