try
{
    $userData=invoke-restmethod -uri http://169.254.169.254/latest/user-data
    $Feed = $userData.Feed
    $Package = $userData.Package
    if ($Feed -ne "")
    {
        Write-Host Feed: $Feed
        Write-Host Package: $Package
    }
    try
    {
        $Config = $userData.Configuration

    }catch
    {
        $Config = ""
    }
    if ($Config -ne "")
    {
        Write-Host Configuration: $Config
        Set-Variable -Name "HoneyBeeConfiguration" -Value $Config -Option AllScope -Scope Global
        [Environment]::SetEnvironmentVariable("HoneyBeeConfiguration", $Config, "Machine")
    }else
    {
            Write-Host No configuration was specified
    }
    c:\Chocolatey\bin\chocolatey.bat install $Package -source $Feed installArguments $Config
}catch
{
    Write-Host Configuration Error: make sure instance User Data is in jSon format and contains both Feed and Package fields
}